
TextCritical.net - Feature #417

Work Overview

10/17/2012 10:29 PM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.4   

Description

Add a page that provides an overview of the book and the author. This could include:

Link to Wikipedia (http://www.mediawiki.org/wiki/API:Tutorial#Tutorial_for_MediaWiki.27s_RESTful_web_service_API)

Perseus information

Statistics (places mentioned, number of unique words, etc.)

History

#1 - 10/17/2012 10:29 PM - Luke Murphey

- Target version set to 1.0

#2 - 08/20/2013 05:50 AM - Luke Murphey

- Target version deleted (1.0)

#3 - 03/31/2016 05:49 AM - Luke Murphey

- Target version set to 1.5

This can be easily done with the following:

1. https://pypi.python.org/pypi/wikipedia/

2. Requests

3. bs4

Here is an example:

import wikipedia

print wikipedia.summary("Antiquitates Judaicae")

#4 - 04/01/2016 06:28 AM - Luke Murphey

Should consider having a hard-coded link to the page in Wikipedia. For example, the page for "Apophthegmata Laconica" is actually 

https://en.wikipedia.org/wiki/Moralia

#5 - 04/01/2016 04:31 PM - Luke Murphey

The Wikipedia lookup can be done on much more than just the works. However, I need to link up the terms with specific wikipedia articles in some

cases. Here are some solutions:
http://www.mediawiki.org/wiki/API:Tutorial#Tutorial_for_MediaWiki.27s_RESTful_web_service_API
https://pypi.python.org/pypi/wikipedia/
https://en.wikipedia.org/wiki/Moralia


Have a table with a type (work, author, editor) and an associated wiki

Have a table that takes a search term and provides a wiki article (perhaps in a search index)

Update the works table with an assocaited wiki article

#6 - 04/01/2016 09:21 PM - Luke Murphey

- Status changed from New to Closed

- Assignee set to Luke Murphey

- Target version changed from 1.5 to 1.4

- % Done changed from 0 to 100
